Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderable
Class GLSLPlane

    java.lang.Object
      de.grogra.imp3d.glsl.renderable.GLSLRenderable
          de.grogra.imp3d.glsl.renderable.GLSLPlane

    public class GLSLPlane

extends GLSLRenderable

Constructor Summary
`GLSLPlane()`

Method Summary
`void` | `activateShader(OpenGLState glState, GLSLDisplay disp, Shader shader, boolean depthonly)`
`void` | `draw(OpenGLState glState, RenderState rs)`
`void` | `drawAlt(OpenGLState glState, GLSLDisplay rs)`
`GLSLManagedShader` | `findShader(OpenGLState glState, GLSLDisplay disp, Shader shader)`
`GLSLRenderable` | `getInstance()` Since planes do not have internal values just share the whole plane
`java.lang.Class<?>` | `instanceFor()`
`boolean` | `isShaderDependant(boolean depthonly)`
`void` | `updateInstance(java.lang.Object reference, java.lang.Object state, boolean asNode, GraphState gs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLPlane

    public GLSLPlane()

Method Detail

### activateShader

    public void activateShader(OpenGLState glState,
                               GLSLDisplay disp,
                               Shader shader,
                               boolean depthonly)

  Overrides:
    `activateShader` in class `GLSLRenderable`

### draw

    public void draw(OpenGLState glState,
                     RenderState rs)

  Specified by:
    `draw` in class `GLSLRenderable`

### drawAlt

    public void drawAlt(OpenGLState glState,
                        GLSLDisplay rs)

  Overrides:
    `drawAlt` in class `GLSLRenderable`

### findShader

    public GLSLManagedShader findShader(OpenGLState glState,
                                        GLSLDisplay disp,
                                        Shader shader)

  Overrides:
    `findShader` in class `GLSLRenderable`

### getInstance

    public GLSLRenderable getInstance()

  Since planes do not have internal values just share the whole plane

  Specified by:
    `getInstance` in class `GLSLRenderable`

### instanceFor

    public java.lang.Class<?> instanceFor()

  Specified by:
    `instanceFor` in class `GLSLRenderable`

### isShaderDependant

    public boolean isShaderDependant(boolean depthonly)

  Overrides:
    `isShaderDependant` in class `GLSLRenderable`

### updateInstance

    public void updateInstance(java.lang.Object reference,
                               java.lang.Object state,
                               boolean asNode,
                               GraphState gs)

  Specified by:
    `updateInstance` in class `GLSLRenderable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD